Rygel.Plugin – librygel-core Reference Manual

# Plugin

## Object Hierarchy:

## Description:

public class Plugin : `ResourceFactory`

This represents a Rygel plugin.

Plugin libraries should provide an object of this class or a subclass in their module_init() function.

It is generally convenient to derive from #RygelMediaRendererPlugin from librygel-renderer, or from #RygelMediaServerPlugin from librygel -server.

Plugins may change their behaviour based on their configuration. See rygel_meta_config_get_default().

Namespace: Rygel
Package: librygel-core

## Content:

### Properties:

- public PluginCapabilities capabilities { construct set; get; }
- public `string` name { construct set; get; }
- public `string` title { construct set; get; }
- public `string` description { construct set; get; }
- public `string` desc_path { construct set; get; }
- public `bool` active { set; get; }
- public `ArrayList`<ResourceInfo> resource_infos { get; }
- public `ArrayList`<IconInfo> icon_infos { get; }
- public `ArrayList`<IconInfo> default_icons { get; }

### Creation methods:

- public Plugin (`string` desc_path, `string` name, `string`? title, `string`? description = null, PluginCapabilities capabilities = NONE)
  Create an instance of the plugin.

### Methods:

- public override void constructed ()
- public void add_resource (ResourceInfo resource_info)
- public void add_icon (IconInfo icon_info)
- public virtual void apply_hacks (RootDevice device, `string` description_path) throws `Error`

### Inherited Members:

All known members inherited from class GUPnP.ResourceFactory

- get_default
- register_resource_proxy_type

- register_resource_type
- unregister_resource_proxy_type

- unregister_resource_type

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count